import { IgxPolarLineSeriesBaseComponent } from "./igx-polar-line-series-base-component";
import { PolarSplineSeries } from "./PolarSplineSeries";
import * as i0 from "@angular/core";
/**
 * Represents a IgxDataChartComponent polar spline series.
*/
export declare class IgxPolarSplineSeriesComponent extends IgxPolarLineSeriesBaseComponent {
    protected createImplementation(): PolarSplineSeries;
    /**
                                 * @hidden
                                 */
    get i(): PolarSplineSeries;
    constructor();
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness(): number;
    set stiffness(v: number);
    static ngAcceptInputType_stiffness: number | string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxPolarSplineSeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxPolarSplineSeriesComponent, "igx-polar-spline-series", never, { "stiffness": "stiffness"; }, {}, never, never>;
}
